<?php

require_once '../app/model/db.class.php';


if ($_POST['accion']=='sedes'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from sedes");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);

 
    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Sede - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;        
    }
  
}

//--------------------------------------


if ($_POST['accion']=='grados'){

    $sede=$_POST['sede'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select cursos.grado, grados.descripcion from grados inner join cursos on grados.codigo = cursos.grado
                               group by cursos.grado, grados.descripcion, grados.orden, cursos.sede having cursos.sede=".$sede." order by grados.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grado - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['grado'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------


if ($_POST['accion']=='grupos'){

    $sede=$_POST['sede'];
    $grado=$_POST['grado'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select codigo,descripcion,jornada from cursos where cursos.grado='".$grado."' and cursos.sede='".$sede."' order by cursos.orden");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Grupo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion']."    Jornada: ".$row['jornada'].'</option>';
         }

         echo $opciones;
    }

}
//---------------------------------------


if ($_POST['accion']=='listado_alumnos'){

    $grado=$_POST['grado'];
    $grupo=$_POST['grupo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select matriculas.codigo, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre
                               from matriculas inner join alumnos on matriculas.codigo = alumnos.codigo
                               where matriculas.grado='".$grado."' and matriculas.curso='".$grupo."' and matriculas.estado='A'
                               order by alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre");

    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $listado = "<table border='0' cellspacing='0' cellpadding='0' width='70%'>";
        $l=1;
        $listado.="<tr ALIGN=CENTER> <td><b>CODIGO</b></td> <td><b>P_APELLIDO</b></td><td><b>S_APELLIDO</b></td><td><b>P_NOMBRE</b></td><td><b>S_NOMBRE</b></td>";
        while($row =$obj->fetch_assoc($resultado)){
              $listado.="<tr>";

              $listado.="<td align='center'>".$l."<INPUT style='text-align:center;' VALUE='".$row['codigo']."' TYPE='TEXT' ID='".$row['codigo']."' readonly='readonly'></td>";
              $listado.="<td><INPUT  VALUE='".$row['p_apellido']."' SIZE='15' TYPE='TEXT' ID='PA_".$row['codigo']."'></td>";
              $listado.="<td><INPUT  VALUE='".$row['s_apellido']."' SIZE='15' TYPE='TEXT' ID='SA_".$row['codigo']."'></td>";
              $listado.="<td><INPUT  VALUE='".$row['p_nombre']."' SIZE='15' TYPE='TEXT' ID='PN_".$row['codigo']."'></td>";
              $listado.="<td><INPUT  VALUE='".$row['s_nombre']."' SIZE='15' TYPE='TEXT' ID='SN_".$row['codigo']."'></td>";
              $listado.="<td><input type='button' value='Actualizar' onclick='actualizar(".$row['codigo'].")'></td>";

              $listado.="</tr>";
              $l++;
         }

         echo $listado;
    }

}

//--------------------------------------


if ($_POST['accion']=='actualizar'){

    $codigo=$_POST['codigo'];
    $pa=$_POST['pa'];
    $sa=$_POST['sa'];
    $pn=$_POST['pn'];
    $sn=$_POST['sn'];


    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("UPDATE alumnos SET p_apellido='".$pa."',s_apellido='".$sa."',p_nombre='".$pn."',s_nombre='".$sn."' where codigo='".$codigo."'");
    $obj->disconnect();
    
    echo "ALUMNO ACTUALIZADO";


}

//--------------------------------------


if ($_POST['accion']=='actualizar_docente'){

    $codigo=$_POST['cedula'];
    $nombres=$_POST['nombres'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("UPDATE profesores SET nombres='".$nombres."' where cedula='".$codigo."'");
    $obj->disconnect();

    echo "DOCENTE ACTUALIZADO";

}
//--------------------------------------


if ($_POST['accion']=='mostrar_docente'){

    $codigo=$_POST['cedula'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("SELECT * from profesores where cedula='".$codigo."'");

    
    $row =$obj->fetch_assoc($resultado);

    $listado="<INPUT style='text-align:center;' VALUE='".$row['nombres']."' SIZE='50' TYPE='TEXT' ID='nombres'>";
    $listado.="<input type='button' value='Actualizar Nombres' onclick='actualizar_profesor()'>";

    echo $listado;
    $obj->disconnect();
}


?>
